-- ========================================
-- Phase Alert v1
--========================================
PhaseAlert = LibStub("AceAddon-3.0"):NewAddon("PhaseAlert", "AceEvent-3.0", "LibToast-1.0")

function PhaseAlert:OnEnable()
  PhaseAlert:RegisterEvent("AUCTION_HOUSE_SHOW")

  PhaseAlert:RegisterToast("Phased",
   function(toast)
     toast:SetTitle("|cffff6060Phase Alert|r")
     toast:SetText("Your character has phased!")
   end
   )
end

function PhaseAlert:OnDisable()
  PhaseAlert:UnregisterEvent("AUCTION_HOUSE_SHOW")
  PhaseAlert:UnregisterEvent("AUCTION_HOUSE_CLOSE")
  PhaseAlert:UnregisterEvent("UNIT_PHASE")
  PhaseAlert:UnregisterToast("Phased")
end

function PhaseAlert:AUCTION_HOUSE_SHOW(_, ...)
  PhaseAlert:RegisterEvent("UNIT_PHASE")
  PhaseAlert:RegisterEvent("AUCTION_HOUSE_CLOSE")
end

function PhaseAlert:AUCTION_HOUSE_CLOSE(_, ...)
  PhaseAlert:UnregisterEvent("UNIT_PHASE")
  PhaseAlert:UnregisterEvent("AUCTION_HOUSE_CLOSE")
end

function PhaseAlert:UNIT_PHASE(_, ...)
    FlashClientIcon()
    PlaySoundFile("Interface\\Addons\\PhaseAlert\\Media\\alarm.mp3", "master")
    PhaseAlert:SpawnToast("Phased")
end
